
%define plugin	skinelchi
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define prever	pre2
%define rel	6

Summary:	VDR plugin: Elchi VDR Skin-Plugin
Name:		%name
Version:	%version
%if %prever
Release:	%mkrel 0.%prever.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video
License:	GPL
URL:		http://www.vdr-portal.de/board/thread.php?threadid=41915
%if %prever
Source:		vdr-%plugin-%version%prever.tar.bz2
%else
Source:		vdr-%plugin-%version.tar.bz2
%endif
Patch0:		skinelchi-0.1.1pre2-i18n-1.6.patch
# dpatches from e-tobi
Patch1:		03_const-warning-fixes.dpatch
Patch2:		90_vdr-skinelchi-0.1.1pre2.PatchCollection.dpatch
Patch3:		91_skinelchi-0.1.1pre2-1.5.0.dpatch
Patch4:		92_vdr-skinelchi-0.1.1_pre2-vdr-1.5.5-getfont.dpatch
Patch5:		93_vdr-1.5.15.dpatch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libMagick-devel
Requires:	vdr-abi = %vdr_abi

%description
VDR skin plugin, based on:
    - original-skins of vdr
    - Elchi for vdr 1.2.6 and enElchi/Elchi for text2skin
    - osdimage from brougs78

%vdr_chanlogo_notice

%prep
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%vdr_plugin_prep

perl -pi -e 's,/video/epgimages,%{_vdr_plugin_cachedir}/epgimages,' setup.c skinelchi.c

%vdr_plugin_params_begin %plugin
# optional path for epgimages (default: %{_vdr_plugin_cachedir}/epgimages)
var=ICACHE
param=--icache=ICACHE
# path for channel logos
var=LOGO_DIR
param=--logos=LOGO_DIR
default=%{_vdr_chanlogodir}
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
VDR_PLUGIN_FLAGS="%vdr_plugin_flags $(pkg-config --cflags ImageMagick++)"
%vdr_plugin_build HAVE_IMAGEMAGICK=1

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY README.install.urpmi


%changelog
* Tue Apr 29 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.6mdv2008.0
+ Revision: 198913
- use backward-compatible pkg-config call for libmagick

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.6mdv2009.0
+ Revision: 197975
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.5mdv2009.0
+ Revision: 197720
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- fix compiler warnings (P1 from e-tobi)
- apply skinelchi patchcollection (P2 from e-tobi)
- adapt for api changes of VDR 1.5.0 (P3 from e-tobi)
- adapt for api changes of VDR 1.5.5 (P4 from e-tobi)
- adapt for api changes of VDR 1.5.15 (P5 from e-tobi)
- fix build with recent libmagick

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.4mdv2008.1
+ Revision: 145199
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.3mdv2008.1
+ Revision: 103209
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.2mdv2008.0
+ Revision: 50043
- rebuild for new vdr

* Wed Jun 27 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-0.pre2.1mdv2008.0
+ Revision: 44961
- initial Mandriva release

